/*
 * Copyright (c) 1999 Greg Haerr <greg@censoft.com>
 *
 * Device-independent keyboard routines
 */
#include "device.h"

/*
 * Open the keyboard.
 */
int
GdOpenKeyboard(void)
{
	int	fd;

	if ((fd = kbddev.Open(&kbddev)) == -1)
		return -1;

	/* possible -2 return means no kbd*/
	return fd;
}

/*
 * Close the keyboard.
 */
void
GdCloseKeyboard(void)
{
	kbddev.Close();
}

/*
 * Return the possible modifiers for the keyboard.
 */
void
GdGetModifierInfo(int *modifiers)
{
	kbddev.GetModifierInfo(modifiers);
}

/*
 * This reads one keystroke from the keyboard, and the current state of
 * the mode keys (ALT, SHIFT, CTRL).  Returns -1 on error, 0 if no data
 * is ready, and 1 if data was read.  This is a non-blocking call.
 * Returns -2 if ESC pressed.
 */
int
GdReadKeyboard(MWUCHAR *buf, int *modifiers)
{
	return kbddev.Read(buf, modifiers);
}
